summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-05 08:41:40 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-05 08:41:40 +0100
commitc24a75cb835143b30e1e7c2fc720e12038a13983 (patch)
tree89fd65eac49cc7895308110d012741cb5d44fc9b
parentdev-ruby/mocha: cleanup (diff)
downloadgentoo-c24a75cb835143b30e1e7c2fc720e12038a13983.tar.gz
gentoo-c24a75cb835143b30e1e7c2fc720e12038a13983.tar.bz2
gentoo-c24a75cb835143b30e1e7c2fc720e12038a13983.zip
dev-ruby/mocha: add 1.11.2
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/mocha/Manifest1
-rw-r--r--dev-ruby/mocha/mocha-1.11.2.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/mocha/Manifest b/dev-ruby/mocha/Manifest
index ef937ecb3e1..c72e84e0d31 100644
--- a/dev-ruby/mocha/Manifest
+++ b/dev-ruby/mocha/Manifest
@@ -1,5 +1,6 @@
DIST mocha-0.14.0.gem 82944 BLAKE2B 50a066e2f5007df08a7f76785fd4c2b12327b4969c11324a0574c707bea3219d51edb9ab40635378c16b46ad826ec7eff42434a27cd61113a6f40251fa2e6930 SHA512 918e45f2ee761c7dc399c7958e4d406f9e186c90f479fd01a421aa542944b47e9b2c5e938f4fc5292a7da345726447b2d47dc5f417e114201f8a4d9893c4d461
DIST mocha-1.10.2.gem 240128 BLAKE2B 50c638a729cf7e11b982f60b3e511166ca896d67167e8c4ae1c8bdb87fed11c9feef21046f84701f93131e1399320635eeb73a8f08adc1f38a4b36e2134cc690 SHA512 efcfaa266f8e6ac84598f69078855f9a36aaea1f5f6bb2b6759ed17577c390bd60c52b0e09de3c2099cc72e6731099f55b647cea158a4b3996d290c79d006670
DIST mocha-1.11.1.gem 242176 BLAKE2B 163e490462d820998694650abc480c77ecaaf086d38899d31b2fa6734474df781d4cc2958f49d36d6f894a3d083dcdf1cc8182d4f58f5968095219c5d141c7fb SHA512 c34a9c574e69c39b1e38056cd9a99e6b574f5f0d0746fe5ebf54316af26dfe13a6baf02473f035b221edbddc2b996bc9571949007843cae918d0eccda6eada38
+DIST mocha-1.11.2.gem 242688 BLAKE2B 60df172257e8767fd3b48e3716cd31cb69ec6f10cc74908bee2e0dfd2d042550b10c7ffc8d2dcf05853c96cf2745fae776bdc9abcd6728f5a4f3fb349d997bec SHA512 8408d7b4c4d979caebabb75b1b870e6473fb0a5abe6055bdf7b4c4679b92c963138ec9a2947e60b9741a2cb50ea7ddfe949544dc4b0bdac22242b2a7eb5fd54d
DIST mocha-1.8.0.gem 223744 BLAKE2B 625f38d6ec53cbf549cbace873172b8511f2e6a2ccb5d7fd4133c3d9a67a8e5d55626fead7a70de363c8564b687530d3e0515ed7fc167a65091d9e17d89dde47 SHA512 b0abd6234f34dfd92d44019001e97914dff80ece5fbe2b53ccc91192f99f06a79f9c96cdb136b2a389a1a1b7038076fce688d8d8ee8645538d3c58f73e345fe4
DIST mocha-1.9.0.gem 224768 BLAKE2B cbba687669691c4771762fdc87285e1d2a2e9cd4a97f42111e0014118dd358e30b4cf3147c973631b491fa981fe4a3212a7eb160b1d7517db78e3f8647ebda15 SHA512 76aa6c1a59d98cf2e592b94785f102fae7d46923cd30494df944a322a6286fb854867ccb32c396f522008b8a0e368ff115693ec6dc63d7cbe84fa26a3a42d9e6
diff --git a/dev-ruby/mocha/mocha-1.11.2.ebuild b/dev-ruby/mocha/mocha-1.11.2.ebuild
new file mode 100644
index 00000000000..a08aefa4197
--- /dev/null
+++ b/dev-ruby/mocha/mocha-1.11.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_TEST="test:units test:acceptance"
+
+RUBY_FAKEGEM_EXTRADOC="README.md RELEASE.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Mocking and stubbing using a syntax like that of JMock and SchMock"
+HOMEPAGE="https://mocha.jamesmead.org/"
+
+LICENSE="MIT"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "
+ test? ( >=dev-ruby/test-unit-2.5.1-r1 dev-ruby/introspection )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/ s:^:#:' -e '1iload "lib/mocha/version.rb"' Rakefile || die
+}
+
+each_ruby_test() {
+ export MOCHA_NO_DOCS=true
+ each_fakegem_test
+}